# OpenLayers.Control.Attribution

The attribution control adds attribution from layers to the map display. It uses ‘attribution’ property of each layer.

#### Inherits from

- OpenLayers.Control

Summary

OpenLayers.Control.Attribution | The attribution control adds attribution from layers to the map display.
Properties |
separator | {String} String used to separate layers.
template | {String} Template for the attribution.
Constructor |
OpenLayers.Control.Attribution |
Functions |
destroy | Destroy control.
draw | Initialize control.
updateAttribution | Update attribution string.

### Properties

### separator

{String} String used to separate layers.

### template

{String} Template for the attribution. This has to include the substring “${layers}”, which will be replaced by the layer specific attributions, separated by separator. The default is “${layers}”.

### Constructor

### OpenLayers.Control.Attribution

#### Parameters

options | {Object} Options for control.

### Functions

### destroy

> destroy: function()

Destroy control.

### draw

> draw: function()

Initialize control.

#### Returns

{DOMElement} A reference to the DIV DOMElement containing the control

### updateAttribution

> updateAttribution: function()

Update attribution string.

> destroy: function()

Destroy control.

> draw: function()

Initialize control.

> updateAttribution: function()

Update attribution string.
Controls affect the display or behavior of the map.
{String} String used to separate layers.
Close